Bug 1477591 - Ironic upgrade now needs running online_data_migrations command
Ironic upgrade now needs running online_data_migrations command
Status: ON_QA
Product: Red Hat OpenStack
Classification: Red Hat
Component: instack-undercloud (Show other bugs)
12.0 (Pike)
Unspecified Unspecified
urgent Severity urgent
: rc
: 12.0 (Pike)
Assigned To: James Slagle
mlammon
http://specs.openstack.org/openstack/...
: Triaged
Depends On:
Blocks: 1477626
  Show dependency treegraph
 
Reported: 2017-08-02 08:29 EDT by Dmitry Tantsur
Modified: 2017-11-08 13:50 EST (History)
6 users (show)

See Also:
Fixed In Version: instack-undercloud-7.2.1-0.20170821194210.el7ost puppet-tripleo-7.3.0-0.20170821114701.1dc48e6.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1708149 None None None 2017-08-02 08:29 EDT
OpenStack gerrit 490028 None None None 2017-08-09 09:09 EDT
OpenStack gerrit 491498 None None None 2017-08-09 09:09 EDT

  None (edit)
Description Dmitry Tantsur 2017-08-02 08:29:52 EDT
Ironic has implemented similar rolling upgrade procedure to Nova in https://review.openstack.org/#/c/408556/. Now we need to run one more command on upgrades, starting with Ocata->Pike (!):

 ironic-dbsync online_data_migrations

Otherwise the next upgrade (Pike->Queens, for example will fail).

We need updating both undercloud and overcloud bits to run it.

Note You need to log in before you can comment on or make changes to this bug.